slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetST

Associates a spectral transformation object to the eigensolver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetST(PEP pep,ST st)

Collective

### Input Parameters

| pep | - eigensolver context obtained from PEPCreate()
| st | - the spectral transformation object

### Note

Use PEPGetST() to retrieve the spectral transformation context (for example, to free it at the end of the computations).

### See Also

PEPGetST()

### Level

advanced

### Location

src/pep/interface/pepbasic.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages